using PhoneStore.Models;
using PhoneStore.ViewModels;
using PhoneStore.ViewModels.PhoneViewModels;

namespace PhoneStore.Services.Interfaces
{
    public interface IPhoneService : 
        ICreatable<PhoneCreateViewModel>, 
        IRemovable, 
        ICreateViewModelProvider<PhoneEditCreateViewModel>,
        IEditViewModelProvider<PhoneEditViewModel>
    {
        PhoneViewModel GetById(int phoneId);
        IndexViewModel GetIndexViewModel (int? brandId);
        void Update(Phone phone);
    }
}